---
source_url: https://www.pubnub.com/docs/sdks/rest-api/revoke-token
title: Revoke token
---

# Revoke token

> For AI agents: documentation index at https://www.pubnub.com/llms-full.txt

Invalidates a previously issued Access Manager token.

| Path Parameters |
| --- |
| `sub_key`string—**REQUIRED**Your app's subscribe key from Admin Portal. |
| `token`string—**REQUIRED**An existing Access Manager token.Example: qERtZXRhoENwYXSlQ3NwY6BEY2hhbqBDdXNyoENncnCgRHV1aWSgRHV1aWRIc29tZXV1aWRDc2lnWCBhIVFngejMt2BDtujpWAP42W3eU |

| Query Parameters |
| --- |
| `timestamp`integer—**REQUIRED**Unix epoch timestamp used as a nonce for signature computation. Must have no more than ± 60 second offset from NTP. This is not associated with the TTL at all.Example: 1607457300 |
| `signature`string—**REQUIRED**Used to verify the request was signed with the secret key associated with the subscribe key. For information on how to compute the signature, refer to Signature generation.Example: v2.k80LsDMD-sImA8rCBj-ntRKhZ8mSjHY8Ivngt9W3Yc4 |
| `uuid`stringA UTF-8 encoded string of up to 92 characters used to identify the client.Example: myUniqueUserId |

| Responses |
| --- |
| `200`Revoke request was successful.Schema — OPTIONALstatus integerPossible values: [200]data objectmessage stringPossible values: [Success]service stringPossible values: [Access Manager] | Schema—**OPTIONAL** | `status`integerPossible values: [200] | `data`objectmessage stringPossible values: [Success] | `message`stringPossible values: [Success] | `service`stringPossible values: [Access Manager] |
| Schema—**OPTIONAL** |
| `status`integerPossible values: [200] |
| `data`objectmessage stringPossible values: [Success] | `message`stringPossible values: [Success] |
| `message`stringPossible values: [Success] |
| `service`stringPossible values: [Access Manager] |
| `400`Error validating inputs, like an invalid or expired token.Schema — OPTIONALstatus integer — OPTIONALerror object — OPTIONALmessage string — OPTIONALsource string — OPTIONALdetails object[] — OPTIONALmessage string — OPTIONALlocation string — OPTIONALlocationType string — OPTIONALservice string — OPTIONAL | Schema—**OPTIONAL** | `status`integer—**OPTIONAL** | `error`object—**OPTIONAL**message string — OPTIONALsource string — OPTIONALdetails object[] — OPTIONALmessage string — OPTIONALlocation string — OPTIONALlocationType string — OPTIONAL | `message`string—**OPTIONAL** | `source`string—**OPTIONAL** | `details`object[]—**OPTIONAL**message string — OPTIONALlocation string — OPTIONALlocationType string — OPTIONAL | `message`string—**OPTIONAL** | `location`string—**OPTIONAL** | `locationType`string—**OPTIONAL** | `service`string—**OPTIONAL** |
| Schema—**OPTIONAL** |
| `status`integer—**OPTIONAL** |
| `error`object—**OPTIONAL**message string — OPTIONALsource string — OPTIONALdetails object[] — OPTIONALmessage string — OPTIONALlocation string — OPTIONALlocationType string — OPTIONAL | `message`string—**OPTIONAL** | `source`string—**OPTIONAL** | `details`object[]—**OPTIONAL**message string — OPTIONALlocation string — OPTIONALlocationType string — OPTIONAL | `message`string—**OPTIONAL** | `location`string—**OPTIONAL** | `locationType`string—**OPTIONAL** |
| `message`string—**OPTIONAL** |
| `source`string—**OPTIONAL** |
| `details`object[]—**OPTIONAL**message string — OPTIONALlocation string — OPTIONALlocationType string — OPTIONAL | `message`string—**OPTIONAL** | `location`string—**OPTIONAL** | `locationType`string—**OPTIONAL** |
| `message`string—**OPTIONAL** |
| `location`string—**OPTIONAL** |
| `locationType`string—**OPTIONAL** |
| `service`string—**OPTIONAL** |
| `403`Invalid signature, like a wrong secret key or character set encoding for signature computation.Schema — OPTIONALstatus integer — OPTIONALerror object — OPTIONALmessage string — OPTIONALsource string — OPTIONALdetails object[] — OPTIONALmessage string — OPTIONALlocation string — OPTIONALlocationType string — OPTIONALservice string — OPTIONAL | Schema—**OPTIONAL** | `status`integer—**OPTIONAL** | `error`object—**OPTIONAL**message string — OPTIONALsource string — OPTIONALdetails object[] — OPTIONALmessage string — OPTIONALlocation string — OPTIONALlocationType string — OPTIONAL | `message`string—**OPTIONAL** | `source`string—**OPTIONAL** | `details`object[]—**OPTIONAL**message string — OPTIONALlocation string — OPTIONALlocationType string — OPTIONAL | `message`string—**OPTIONAL** | `location`string—**OPTIONAL** | `locationType`string—**OPTIONAL** | `service`string—**OPTIONAL** |
| Schema—**OPTIONAL** |
| `status`integer—**OPTIONAL** |
| `error`object—**OPTIONAL**message string — OPTIONALsource string — OPTIONALdetails object[] — OPTIONALmessage string — OPTIONALlocation string — OPTIONALlocationType string — OPTIONAL | `message`string—**OPTIONAL** | `source`string—**OPTIONAL** | `details`object[]—**OPTIONAL**message string — OPTIONALlocation string — OPTIONALlocationType string — OPTIONAL | `message`string—**OPTIONAL** | `location`string—**OPTIONAL** | `locationType`string—**OPTIONAL** |
| `message`string—**OPTIONAL** |
| `source`string—**OPTIONAL** |
| `details`object[]—**OPTIONAL**message string — OPTIONALlocation string — OPTIONALlocationType string — OPTIONAL | `message`string—**OPTIONAL** | `location`string—**OPTIONAL** | `locationType`string—**OPTIONAL** |
| `message`string—**OPTIONAL** |
| `location`string—**OPTIONAL** |
| `locationType`string—**OPTIONAL** |
| `service`string—**OPTIONAL** |
| `503`Internal server error, like backend database system being unavailable.Schema — OPTIONALstatus integer — OPTIONALerror object — OPTIONALmessage string — OPTIONALsource string — OPTIONALdetails object[] — OPTIONALmessage string — OPTIONALlocation string — OPTIONALlocationType string — OPTIONALservice string — OPTIONAL | Schema—**OPTIONAL** | `status`integer—**OPTIONAL** | `error`object—**OPTIONAL**message string — OPTIONALsource string — OPTIONALdetails object[] — OPTIONALmessage string — OPTIONALlocation string — OPTIONALlocationType string — OPTIONAL | `message`string—**OPTIONAL** | `source`string—**OPTIONAL** | `details`object[]—**OPTIONAL**message string — OPTIONALlocation string — OPTIONALlocationType string — OPTIONAL | `message`string—**OPTIONAL** | `location`string—**OPTIONAL** | `locationType`string—**OPTIONAL** | `service`string—**OPTIONAL** |
| Schema—**OPTIONAL** |
| `status`integer—**OPTIONAL** |
| `error`object—**OPTIONAL**message string — OPTIONALsource string — OPTIONALdetails object[] — OPTIONALmessage string — OPTIONALlocation string — OPTIONALlocationType string — OPTIONAL | `message`string—**OPTIONAL** | `source`string—**OPTIONAL** | `details`object[]—**OPTIONAL**message string — OPTIONALlocation string — OPTIONALlocationType string — OPTIONAL | `message`string—**OPTIONAL** | `location`string—**OPTIONAL** | `locationType`string—**OPTIONAL** |
| `message`string—**OPTIONAL** |
| `source`string—**OPTIONAL** |
| `details`object[]—**OPTIONAL**message string — OPTIONALlocation string — OPTIONALlocationType string — OPTIONAL | `message`string—**OPTIONAL** | `location`string—**OPTIONAL** | `locationType`string—**OPTIONAL** |
| `message`string—**OPTIONAL** |
| `location`string—**OPTIONAL** |
| `locationType`string—**OPTIONAL** |
| `service`string—**OPTIONAL** |

sub_key
*
Type:
string
Your app's subscribe key from
[Admin Portal](https://admin.pubnub.com)
.
token
*
Type:
string
An existing Access Manager token.
timestamp
*
Type:
integer
Unix epoch timestamp used as a nonce for signature computation. Must have no more than ± 60 second offset from NTP. This is not associated with the TTL at all.
signature
*
Type:
string
Used to verify the request was signed with the secret key associated with the subscribe key. For information on how to compute the signature, refer to
[Signature generation](https://www.pubnub.com/docs/sdks/rest-api/access-manager-introduction.md)
.
uuid
Type:
string
A UTF-8 encoded string of up to 92 characters used to
[identify the client](https://www.pubnub.com/docs/architecture/core-concepts.md)
.
